.date-filter {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: clamp(6px, 1.5vw, 10px);
    margin: 0;
    font-family: "Fraunces", serif;
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

input[type="date"],
input[type="date"]::-webkit-calendar-picker-indicator {
    cursor: none !important;
}

.date-range,
.filter-buttons {
    display: flex;
    align-items: center;
    gap: clamp(6px, 1.5vw, 10px);
}

.date-range {
    flex: 1;
}

.date-filter input,
.date-filter button {
    height: clamp(34px, 5vw, 38px);
    padding: 0 clamp(8px, 2vw, 10px);
    border: 1px solid var(--line);
    border-radius: 8px;
    background-color: transparent;
    color: var(--text);
    font-family: "Fraunces", serif;
    font-size: var(--fs-regular);
    font-weight: 400;
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.date-filter input {
    flex: 1;
    width: 100%;
    min-width: 0;
}

.date-filter input:focus {
    outline: none;
    border-color: var(--accent);
}

/* .date-filter input::-webkit-calendar-picker-indicator {
    cursor: pointer;
} */

.date-filter span {
    color: var(--muted);
    font-size: var(--fs-regular);
}

/* .date-filter button {
    cursor: pointer;
} */

.date-filter button:hover {
    color: var(--accent);
    border-color: var(--accent);
}

.date-filter button:active {
    transform: translateY(3px);
    transition: none;
}

.date-filter button.active {
    color: var(--background);
    background: var(--accent);
    border-color: var(--accent);
}

.date-filter button.active:hover {
    color: var(--background);
}

#entry-count,
#no-results {
    margin-top: 10px;
    text-align: left;
    color: var(--muted);
    font-family: "Fraunces", serif;
    font-weight: 600;
    font-size: var(--fs-regular);
    font-style: italic;
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

#no-results {
    text-align: center;
}
